View Issue Details

IDProjectCategoryView StatusLast Update
0000022luatexluatex limitationpublic2015-10-24 21:37
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Versionsubproject (> v 1)Fixed in Version 
Summary0000022: Get rid of reallocated arrays, expecially varmem
DescriptionThe latest versions of gcc make it necessary to declare the varmem array as volatile, effectively disabling all related optimisiations.

With those optimisations gone, the advantage of having a single heap of memory becomes much smaller, and it makes more sense to use a more standard malloc/free approach.
TagsNo tags attached.

Activities

Hans Hagen

2015-10-24 21:37

manager   ~0001481

not for 1.0 .. let's stay close to the original

Issue History

Date Modified Username Field Change
2008-03-17 13:50 Taco New Issue
2008-03-17 13:50 Taco Status new => assigned
2008-03-17 13:50 Taco Assigned To => Taco
2008-05-21 15:40 Taco Target Version 0.30.0 => 0.40.0
2009-02-24 15:07 Taco Target Version 0.40.0 => subproject (> v 1)
2015-10-24 21:37 Hans Hagen Note Added: 0001481
2015-10-24 21:37 Hans Hagen Status assigned => closed
2015-10-24 21:37 Hans Hagen Resolution open => fixed